ConnectCloud Developers

Delete an item type (tenant:forge:write and maintainer, or tenant:forge:admin)

DELETE /api/forge/v1/projects/{key}/item-types/{id}

Module: Forge · operationId: deleteForgeItemType · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)

Same permission as creating. A row other configuration or items still reference answers 409 in_use with details.counts (for a section definition the items with content in it); deleting a label or an empty section takes it off the items.

Parameters

Name In Type Required Description
key path string yes Project key (e.g. APP)
id path string (uuid) yes

Responses

  • 204 Deleted
  • 403 Error (application/json)
  • 404 Error (application/json)
  • 409 Error (application/json)

Example request

curl -X DELETE 'https://api.mbcom.cloud/api/forge/v1/projects/string/item-types/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI